command: docker swarm leave
short: Leave the swarm
long: |-
  When you run this command on a worker, that worker leaves the swarm.

  You can use the `--force` option on a manager to remove it from the swarm.
  However, this does not reconfigure the swarm to ensure that there are enough
  managers to maintain a quorum in the swarm. The safe way to remove a manager
  from a swarm is to demote it to a worker and then direct it to leave the quorum
  without using `--force`. Only use `--force` in situations where the swarm will
  no longer be used after the manager leaves, such as in a single-node swarm.
usage: docker swarm leave [OPTIONS]
pname: docker swarm
plink: docker_swarm.yaml
options:
- option: force
  shorthand: f
  value_type: bool
  default_value: "false"
  description: Force this node to leave the swarm, ignoring warnings
  deprecated: false
  experimental: false
  experimentalcli: false
  kubernetes: false
  swarm: false
examples: |-
  Consider the following swarm, as seen from the manager:

  ```bash
  $ docker node ls
  ID                           HOSTNAME  STATUS  AVAILABILITY  MANAGER STATUS
  7ln70fl22uw2dvjn2ft53m3q5    worker2   Ready   Active
  dkp8vy1dq1kxleu9g4u78tlag    worker1   Ready   Active
  dvfxp4zseq4s0rih1selh0d20 *  manager1  Ready   Active        Leader
  ```

  To remove `worker2`, issue the following command from `worker2` itself:

  ```bash
  $ docker swarm leave
  Node left the default swarm.
  ```

  The node will still appear in the node list, and marked as `down`. It no longer
  affects swarm operation, but a long list of `down` nodes can clutter the node
  list. To remove an inactive node from the list, use the [`node rm`](node_rm.md)
  command.
deprecated: false
min_api_version: "1.24"
experimental: false
experimentalcli: false
kubernetes: false
swarm: true

